Public Class TrasladarDatosCMVTA
    Private _PrecioLimpioACC As Double = 0
    Private _FechaOperacionACC As Date = Date.Now.Date
    Private _FechaVencimientoACC As Date = Date.Now.Date
    Private _UnidadesACC As Integer = 0
    Private _PorcentajeCasaACC As Double = 0
    Private _PorcentajeBolsaACC As Double = 0


    Private _FechaOperacionFUTU As Date = Date.Now.Date
    Private _FechaLiquidacionFUTU As Date = Date.Now.Date
    Private _FechaVencimientoFUTU As Date = Date.Now.Date
    Private _PrecioUnitarioFUTU As Double = 0
    Private _ComisionBrokerFUTU As Double = 0
    Private _IdContratoFUTU As Double = 0
    Private _CantidadContratosFUTU As Double = 0
    Private _UnidadesPorContratoFUTU As Double = 0

    Private _PeriodicidadCINV As String = String.Empty
    Private _ValorNominalCINV As Double = 0
    Private _UltimaFechaCuponCINV As Date = Date.Now.Date
    Private _FechaLiquidacionCINV As Date = Date.Now.Date
    Private _FechaVencimientoCINV As Date = Date.Now.Date
    Private _BaseCINV As Integer = 0
    Private _CuponCINV As Double = 0
    Private _YTMVencimientoCINV As Double = 0
    Private _PrecioVencimientoCINV As Double = 0
    Private _PrecioCompraCINV As Double = 0
    Private _PorcentajeComisionCasaCINV As Double = 0
    Private _PorcentajeComisionBolsaCINV As Double = 0
    Private _NombreInstrumento As String = String.Empty
    Private _AgregarCMVTA As Boolean = False

    Public Property AgregarCMVTA As Boolean
        Get
            Return _AgregarCMVTA
        End Get
        Set(value As Boolean)
            _AgregarCMVTA = value
        End Set
    End Property


    Public Property NombreInstrumento As String
        Get
            Return _NombreInstrumento
        End Get
        Set(value As String)
            _NombreInstrumento = value
        End Set
    End Property


    Public Property PorcentajeBolsaACC As Double
        Get
            Return _PorcentajeBolsaACC
        End Get
        Set(value As Double)
            _PorcentajeBolsaACC = value
        End Set
    End Property


    Public Property PorcentajeCasaACC As Double
        Get
            Return _PorcentajeCasaACC
        End Get
        Set(value As Double)
            _PorcentajeCasaACC = value
        End Set
    End Property




    Public Property PrecioLimpioACC As Double
        Get
            Return _PrecioLimpioACC
        End Get
        Set(value As Double)
            _PrecioLimpioACC = value
        End Set
    End Property



    Public Property FechaOperacionACC As Date
        Get
            Return _FechaOperacionACC
        End Get
        Set(value As Date)
            _FechaOperacionACC = value
        End Set
    End Property



    Public Property FechaVencimientoACC As Date
        Get
            Return _FechaVencimientoACC
        End Get
        Set(value As Date)
            _FechaVencimientoACC = value
        End Set
    End Property





    Public Property UnidadesACC As Integer
        Get
            Return _UnidadesACC
        End Get
        Set(value As Integer)
            _UnidadesACC = value
        End Set
    End Property











    Public Property FechaOperacionFUTU As Date
        Get
            Return _FechaOperacionFUTU
        End Get
        Set(value As Date)
            _FechaOperacionFUTU = value
        End Set
    End Property





    Public Property FechaLiquidacionFUTU As Date
        Get
            Return _FechaLiquidacionFUTU
        End Get
        Set(value As Date)
            _FechaLiquidacionFUTU = value
        End Set
    End Property





    Public Property FechaVencimientoFUTU As Date
        Get
            Return _FechaVencimientoFUTU
        End Get
        Set(value As Date)
            _FechaVencimientoFUTU = value
        End Set
    End Property





    Public Property PrecioUnitarioFUTU As Double
        Get
            Return _PrecioUnitarioFUTU
        End Get
        Set(value As Double)
            _PrecioUnitarioFUTU = value
        End Set
    End Property







    Public Property ComisionBrokerFUTU As Double
        Get
            Return _ComisionBrokerFUTU
        End Get
        Set(value As Double)
            _ComisionBrokerFUTU = value
        End Set
    End Property







    Public Property IdContratoFUTU As Double
        Get
            Return _IdContratoFUTU
        End Get
        Set(value As Double)
            _IdContratoFUTU = value
        End Set
    End Property







    Public Property CantidadContratosFUTU As Integer
        Get
            Return _CantidadContratosFUTU
        End Get
        Set(value As Integer)
            _CantidadContratosFUTU = value
        End Set
    End Property






    Public Property UnidadesPorContratoFUTU As Double
        Get
            Return _UnidadesPorContratoFUTU
        End Get
        Set(value As Double)
            _UnidadesPorContratoFUTU = value
        End Set
    End Property


















    Public Property PeriodicidadCINV As String
        Get
            Return _PeriodicidadCINV
        End Get
        Set(value As String)
            _PeriodicidadCINV = value
        End Set
    End Property





    Public Property ValorNominalCINV As Double
        Get
            Return _ValorNominalCINV
        End Get
        Set(value As Double)
            _ValorNominalCINV = value
        End Set
    End Property






    Public Property UltimaFechaCuponCINV As Date
        Get
            Return _UltimaFechaCuponCINV
        End Get
        Set(value As Date)
            _UltimaFechaCuponCINV = value
        End Set
    End Property






    Public Property FechaLiquidacionCINV As Date
        Get
            Return _FechaLiquidacionCINV
        End Get
        Set(value As Date)
            _FechaLiquidacionCINV = value
        End Set
    End Property





    Public Property FechaVencimientoCINV As Date
        Get
            Return _FechaVencimientoCINV
        End Get
        Set(value As Date)
            _FechaVencimientoCINV = value
        End Set
    End Property






    Public Property BaseCINV As Integer
        Get
            Return _BaseCINV
        End Get
        Set(value As Integer)
            _BaseCINV = value
        End Set
    End Property







    Public Property CuponCINV As Double
        Get
            Return _CuponCINV
        End Get
        Set(value As Double)
            _CuponCINV = value
        End Set
    End Property








    Public Property YTMVencimientoCINV As Double
        Get
            Return _YTMVencimientoCINV
        End Get
        Set(value As Double)
            _YTMVencimientoCINV = value
        End Set
    End Property







    Public Property PrecioVencimientoCINV As Double
        Get
            Return _PrecioVencimientoCINV
        End Get
        Set(value As Double)
            _PrecioVencimientoCINV = value
        End Set
    End Property







    Public Property PrecioCompraCINV As Double
        Get
            Return _PrecioCompraCINV
        End Get
        Set(value As Double)
            _PrecioCompraCINV = value
        End Set
    End Property






    Public Property PorcentajeComisionCasaCINV As Double
        Get
            Return _PorcentajeComisionCasaCINV
        End Get
        Set(value As Double)
            _PorcentajeComisionCasaCINV = value
        End Set
    End Property







    Public Property PorcentajeComisionBolsaCINV As Double
        Get
            Return _PorcentajeComisionBolsaCINV
        End Get
        Set(value As Double)
            _PorcentajeComisionBolsaCINV = value
        End Set
    End Property

End Class
